Subject: bug#18818: Incorrect font weight in dark background, Emacs 24.4 on Mac OS X 10.10

From: Alan Third <[email-masked]>
Date: Sat, 21 Aug 2021 10:55:22 +0100

On Thu, Aug 19, 2021 at 04:31:26PM +0200, Lars Ingebrigtsen wrote:
> 
> So it sounds like this isn't something we can fix on the Emacs side, but
> perhaps we should just add this text to the manual?
> 
> That is, if this is still an issue in Emacs 28; I haven't checked.

I expect it will, I think it's a problem with the system libraries, so
it might be fixed on newer versions of macOS.

> +Synthetic bold looks thinner if the background is darker than the
> +foreground and the LCD font smoothing is turned on.  In such cases,
> +you can turn off synthetic bold for particular fonts and use
> +overstriking instead by customizing the variable
> +@code{face-ignored-fonts}:
> +
> +@lisp
> +(push "\\`-[^-]*-monaco-bold-" face-ignored-fonts)
> +@end lsip

I assume that customisation only affects Monaco, so it may be worth
adding a "for example" or something to make it clear it's not supposed
to fix it in all cases.

And perhaps it should go in etc/PROBLEMS instead of the manual?
-- 
Alan Third